# Interface RegularFileVar

All Superinterfaces:
  `Property<RegularFile>, PropertyState<RegularFile>, Provider<RegularFile>, RegularFileProperty`

@Incubating @Deprecated public interface RegularFileVar extends RegularFileProperty, PropertyState<RegularFile>
Deprecated.
Use `RegularFileProperty` instead.
Represents some configurable regular file location, whose value is mutable and not necessarily currently known until later.

Note: This interface is not intended for implementation by build script or plugin authors. An instance of this class can be created using the `ProjectLayout.newFileVar()` method.

Since:
  4.1

## Method Summary

### Methods inherited from interface Property

`set, set`

### Methods inherited from interface Provider

`get, getOrElse, getOrNull, isPresent, map`

### Methods inherited from interface RegularFileProperty

`getAsFile, set`